Index: /branches/numpy/anuga/shallow_water/shallow_water_ext.c
===================================================================
--- /branches/numpy/anuga/shallow_water/shallow_water_ext.c	(revision 6901)
+++ /branches/numpy/anuga/shallow_water/shallow_water_ext.c	(revision 6902)
@@ -2066,26 +2202,26 @@
   // Convert Python arguments to C
   if (!PyArg_ParseTuple(args, "ddddOOOOOOOOOOOOOOOOOOOi",
-			&timestep,
-			&epsilon,
-			&H0,
-			&g,
-			&neighbours,
-			&neighbour_edges,
-			&normals,
-			&edgelengths, &radii, &areas,
-			&tri_full_flag,
-			&stage_edge_values,
-			&xmom_edge_values,
-			&ymom_edge_values,
-			&bed_edge_values,
-			&stage_boundary_values,
-			&xmom_boundary_values,
-			&ymom_boundary_values,
-			&stage_explicit_update,
-			&xmom_explicit_update,
-			&ymom_explicit_update,
-			&already_computed_flux,
-			&max_speed_array,
-			&optimise_dry_cells)) {
+            &timestep,
+            &epsilon,
+            &H0,
+            &g,
+            &neighbours,
+            &neighbour_edges,
+            &normals,
+            &edgelengths, &radii, &areas,
+            &tri_full_flag,
+            &stage_edge_values,
+            &xmom_edge_values,
+            &ymom_edge_values,
+            &bed_edge_values,
+            &stage_boundary_values,
+            &xmom_boundary_values,
+            &ymom_boundary_values,
+            &stage_explicit_update,
+            &xmom_explicit_update,
+            &ymom_explicit_update,
+            &already_computed_flux,
+            &max_speed_array,
+            &optimise_dry_cells)) {
     PyErr_SetString(PyExc_RuntimeError, "Input arguments failed");
     return NULL;
@@ -2118,28 +2254,28 @@
   // the explicit update arrays 
   timestep = _compute_fluxes_central(number_of_elements,
-				     timestep,
-				     epsilon,
-				     H0,
-				     g,
-				     (long*) neighbours -> data,
-				     (long*) neighbour_edges -> data,
-				     (double*) normals -> data,
-				     (double*) edgelengths -> data, 
-				     (double*) radii -> data, 
-				     (double*) areas -> data,
-				     (long*) tri_full_flag -> data,
-				     (double*) stage_edge_values -> data,
-				     (double*) xmom_edge_values -> data,
-				     (double*) ymom_edge_values -> data,
-				     (double*) bed_edge_values -> data,
-				     (double*) stage_boundary_values -> data,
-				     (double*) xmom_boundary_values -> data,
-				     (double*) ymom_boundary_values -> data,
-				     (double*) stage_explicit_update -> data,
-				     (double*) xmom_explicit_update -> data,
-				     (double*) ymom_explicit_update -> data,
-				     (long*) already_computed_flux -> data,
-				     (double*) max_speed_array -> data,
-				     optimise_dry_cells);
+                     timestep,
+                     epsilon,
+                     H0,
+                     g,
+                     (long*) neighbours -> data,
+                     (long*) neighbour_edges -> data,
+                     (double*) normals -> data,
+                     (double*) edgelengths -> data, 
+                     (double*) radii -> data, 
+                     (double*) areas -> data,
+                     (long*) tri_full_flag -> data,
+                     (double*) stage_edge_values -> data,
+                     (double*) xmom_edge_values -> data,
+                     (double*) ymom_edge_values -> data,
+                     (double*) bed_edge_values -> data,
+                     (double*) stage_boundary_values -> data,
+                     (double*) xmom_boundary_values -> data,
+                     (double*) ymom_boundary_values -> data,
+                     (double*) stage_explicit_update -> data,
+                     (double*) xmom_explicit_update -> data,
+                     (double*) ymom_explicit_update -> data,
+                     (long*) already_computed_flux -> data,
+                     (double*) max_speed_array -> data,
+                     optimise_dry_cells);
   
   // Return updated flux timestep
@@ -2228,24 +2364,24 @@
   // Convert Python arguments to C
   if (!PyArg_ParseTuple(args, "ddddOOOOOOOOOOOOOOOOOO",
-			&timestep,
-			&epsilon,
-			&H0,
-			&g,
-			&neighbours,
-			&neighbour_edges,
-			&normals,
-			&edgelengths, &radii, &areas,
-			&tri_full_flag,
-			&stage_edge_values,
-			&xmom_edge_values,
-			&ymom_edge_values,
-			&bed_edge_values,
-			&stage_boundary_values,
-			&xmom_boundary_values,
-			&ymom_boundary_values,
-			&stage_explicit_update,
-			&xmom_explicit_update,
-			&ymom_explicit_update,
-			&already_computed_flux)) {
+            &timestep,
+            &epsilon,
+            &H0,
+            &g,
+            &neighbours,
+            &neighbour_edges,
+            &normals,
+            &edgelengths, &radii, &areas,
+            &tri_full_flag,
+            &stage_edge_values,
+            &xmom_edge_values,
+            &ymom_edge_values,
+            &bed_edge_values,
+            &stage_boundary_values,
+            &xmom_boundary_values,
+            &ymom_boundary_values,
+            &stage_explicit_update,
+            &xmom_explicit_update,
+            &ymom_explicit_update,
+            &already_computed_flux)) {
     PyErr_SetString(PyExc_RuntimeError, "Input arguments failed");
     return NULL;
@@ -2265,5 +2401,5 @@
       ki = k*3+i;
       if (((long *) already_computed_flux->data)[ki]==call)//we've already computed the flux across this edge
-	continue;
+    continue;
       ql[0] = ((double *) stage_edge_values -> data)[ki];
       ql[1] = ((double *) xmom_edge_values -> data)[ki];
@@ -2274,16 +2410,16 @@
       n = ((long *) neighbours -> data)[ki];
       if (n < 0) {
-	m = -n-1; //Convert negative flag to index
-	qr[0] = ((double *) stage_boundary_values -> data)[m];
-	qr[1] = ((double *) xmom_boundary_values -> data)[m];
-	qr[2] = ((double *) ymom_boundary_values -> data)[m];
-	zr = zl; //Extend bed elevation to boundary
+    m = -n-1; //Convert negative flag to index
+    qr[0] = ((double *) stage_boundary_values -> data)[m];
+    qr[1] = ((double *) xmom_boundary_values -> data)[m];
+    qr[2] = ((double *) ymom_boundary_values -> data)[m];
+    zr = zl; //Extend bed elevation to boundary
       } else {
-	m = ((long *) neighbour_edges -> data)[ki];
-	nm = n*3+m;
-	qr[0] = ((double *) stage_edge_values -> data)[nm];
-	qr[1] = ((double *) xmom_edge_values -> data)[nm];
-	qr[2] = ((double *) ymom_edge_values -> data)[nm];
-	zr =    ((double *) bed_edge_values -> data)[nm];
+    m = ((long *) neighbour_edges -> data)[ki];
+    nm = n*3+m;
+    qr[0] = ((double *) stage_edge_values -> data)[nm];
+    qr[1] = ((double *) xmom_edge_values -> data)[nm];
+    qr[2] = ((double *) ymom_edge_values -> data)[nm];
+    zr =    ((double *) bed_edge_values -> data)[nm];
       }
       // Outward pointing normal vector
@@ -2294,7 +2430,7 @@
       //Edge flux computation
       flux_function_kinetic(ql, qr, zl, zr,
-		    normal[0], normal[1],
-		    epsilon, H0, g,
-		    edgeflux, &max_speed);
+            normal[0], normal[1],
+            epsilon, H0, g,
+            edgeflux, &max_speed);
       //update triangle k
       ((long *) already_computed_flux->data)[ki]=call;
@@ -2304,22 +2440,22 @@
       //update the neighbour n
       if (n>=0){
-	((long *) already_computed_flux->data)[nm]=call;
-	((double *) stage_explicit_update -> data)[n] += edgeflux[0]*((double *) edgelengths -> data)[nm];
-	((double *) xmom_explicit_update -> data)[n] += edgeflux[1]*((double *) edgelengths -> data)[nm];
-	((double *) ymom_explicit_update -> data)[n] += edgeflux[2]*((double *) edgelengths -> data)[nm];
+    ((long *) already_computed_flux->data)[nm]=call;
+    ((double *) stage_explicit_update -> data)[n] += edgeflux[0]*((double *) edgelengths -> data)[nm];
+    ((double *) xmom_explicit_update -> data)[n] += edgeflux[1]*((double *) edgelengths -> data)[nm];
+    ((double *) ymom_explicit_update -> data)[n] += edgeflux[2]*((double *) edgelengths -> data)[nm];
       }
       ///for (j=0; j<3; j++) {
-	///flux[j] -= edgeflux[j]*((double *) edgelengths -> data)[ki];
-	///}
-	//Update timestep
-	//timestep = min(timestep, domain.radii[k]/max_speed)
-	//FIXME: SR Add parameter for CFL condition
+    ///flux[j] -= edgeflux[j]*((double *) edgelengths -> data)[ki];
+    ///}
+    //Update timestep
+    //timestep = min(timestep, domain.radii[k]/max_speed)
+    //FIXME: SR Add parameter for CFL condition
     if ( ((long *) tri_full_flag -> data)[k] == 1) {
-	    if (max_speed > epsilon) {
-	        timestep = min(timestep, ((double *) radii -> data)[k]/max_speed);
-	        //maxspeed in flux_function is calculated as max(|u+a|,|u-a|)
-	        if (n>=0)
-	            timestep = min(timestep, ((double *) radii -> data)[n]/max_speed);
-	    }
+        if (max_speed > epsilon) {
+            timestep = min(timestep, ((double *) radii -> data)[k]/max_speed);
+            //maxspeed in flux_function is calculated as max(|u+a|,|u-a|)
+            if (n>=0)
+                timestep = min(timestep, ((double *) radii -> data)[n]/max_speed);
+        }
     }
     } // end for i
@@ -2350,8 +2486,8 @@
   // Convert Python arguments to C
   if (!PyArg_ParseTuple(args, "dddOOOO",
-			&minimum_allowed_height,
-			&maximum_allowed_speed,
-			&epsilon,
-			&wc, &zc, &xmomc, &ymomc)) {
+            &minimum_allowed_height,
+            &maximum_allowed_speed,
+            &epsilon,
+            &wc, &zc, &xmomc, &ymomc)) {
     PyErr_SetString(PyExc_RuntimeError, "shallow_water_ext.c: protect could not parse input arguments");
     return NULL;
@@ -2361,11 +2497,11 @@
 
   _protect(N,
-	   minimum_allowed_height,
-	   maximum_allowed_speed,
-	   epsilon,
-	   (double*) wc -> data,
-	   (double*) zc -> data,
-	   (double*) xmomc -> data,
-	   (double*) ymomc -> data);
+       minimum_allowed_height,
+       maximum_allowed_speed,
+       epsilon,
+       (double*) wc -> data,
+       (double*) zc -> data,
+       (double*) xmomc -> data,
+       (double*) ymomc -> data);
 
   return Py_BuildValue("");
@@ -2409,14 +2545,14 @@
   // Convert Python arguments to C
   if (!PyArg_ParseTuple(args, "OOOOOOOOOO",
-			&domain,
-			&wc, &zc, 
-			&wv, &zv, &hvbar,
-			&xmomc, &ymomc, &xmomv, &ymomv)) {
+            &domain,
+            &wc, &zc, 
+            &wv, &zv, &hvbar,
+            &xmomc, &ymomc, &xmomv, &ymomv)) {
     PyErr_SetString(PyExc_RuntimeError, 
-		    "shallow_water_ext.c: balance_deep_and_shallow could not parse input arguments");
+            "shallow_water_ext.c: balance_deep_and_shallow could not parse input arguments");
     return NULL;
   }  
-	  
-	  
+      
+      
   // FIXME (Ole): I tested this without GetAttrString and got time down
   // marginally from 4.0s to 3.8s. Consider passing everything in 
@@ -2463,17 +2599,17 @@
   N = wc -> dimensions[0];
   _balance_deep_and_shallow(N,
-			    (double*) wc -> data,
-			    (double*) zc -> data,
-			    (double*) wv -> data,
-			    (double*) zv -> data,
-			    (double*) hvbar -> data,
-			    (double*) xmomc -> data,
-			    (double*) ymomc -> data,
-			    (double*) xmomv -> data,
-			    (double*) ymomv -> data,
-			    H0,
-			    (int) tight_slope_limiters,
-			    (int) use_centroid_velocities,			    
-			    alpha_balance);
+                (double*) wc -> data,
+                (double*) zc -> data,
+                (double*) wv -> data,
+                (double*) zv -> data,
+                (double*) hvbar -> data,
+                (double*) xmomc -> data,
+                (double*) ymomc -> data,
+                (double*) xmomv -> data,
+                (double*) ymomv -> data,
+                H0,
+                (int) tight_slope_limiters,
+                (int) use_centroid_velocities,              
+                alpha_balance);
 
 
@@ -2503,21 +2639,21 @@
   // Convert Python arguments to C
   if (!PyArg_ParseTuple(args, "OOOOd",
-			&xmom_update,
-			&ymom_update,
-			&s_vec, &phi_vec,
-			&cw)) {
+            &xmom_update,
+            &ymom_update,
+            &s_vec, &phi_vec,
+            &cw)) {
     PyErr_SetString(PyExc_RuntimeError, "shallow_water_ext.c: assign_windfield_values could not parse input arguments");
     return NULL;
   }  
-			
+            
 
   N = xmom_update -> dimensions[0];
 
   _assign_wind_field_values(N,
-	   (double*) xmom_update -> data,
-	   (double*) ymom_update -> data,
-	   (double*) s_vec -> data,
-	   (double*) phi_vec -> data,
-	   cw);
+       (double*) xmom_update -> data,
+       (double*) ymom_update -> data,
+       (double*) s_vec -> data,
+       (double*) phi_vec -> data,
+       cw);
 
   return Py_BuildValue("");
